package com.ruoyi.abuwx.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 用户管理对象 user_info
 * 
 * @author lujie
 * @date 2025-01-20
 */
public class UserInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 头像 */
    @Excel(name = "头像")
    private String headPortait;

    /** 昵称 */
    @Excel(name = "昵称")
    private Long nickName;

    /** 反馈内容 */
    @Excel(name = "反馈内容")
    private String content;

    /** 性别 */
    @Excel(name = "性别")
    private String gender;

    /** 最近登录时间  */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "最近登录时间 ", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lastLoginTime;

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public String getHeadPortait()
    {
        return headPortait;
    }

    public void setHeadPortait(String headPortait)
    {
        this.headPortait = headPortait;
    }

    public Long getNickName()
    {
        return nickName;
    }

    public void setNickName(Long nickName)
    {
        this.nickName = nickName;
    }

    public String getContent()
    {
        return content;
    }

    public void setContent(String content)
    {
        this.content = content;
    }

    public String getGender()
    {
        return gender;
    }

    public void setGender(String gender)
    {
        this.gender = gender;
    }

    public Date getLastLoginTime()
    {
        return lastLoginTime;
    }

    public void setLastLoginTime(Date lastLoginTime)
    {
        this.lastLoginTime = lastLoginTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("headPortait", getHeadPortait())
            .append("nickName", getNickName())
            .append("content", getContent())
            .append("remark", getRemark())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .append("gender", getGender())
            .append("lastLoginTime", getLastLoginTime())
            .toString();
    }
}
